Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.c14n
Class CanonicalizerSpi

    java.lang.Object
      org.apache.xml.security.c14n.CanonicalizerSpi

Direct Known Subclasses:
  CanonicalizerBase

    public abstract class CanonicalizerSpi

extends java.lang.Object

Base class which all Canonicalization algorithms extend.

Author:
  Christian Geuer-Pollmann

Field Summary
`protected boolean` | `reset` Reset the writer after a c14n
`protected boolean` | `secureValidation`

Constructor Summary
`CanonicalizerSpi()`

Method Summary
`byte[]` | `engineCanonicalize(byte[] inputBytes)` Method canonicalize
`abstract byte[]` | `engineCanonicalizeSubTree(org.w3c.dom.Node rootNode)` C14n a node tree.
`abstract byte[]` | `engineCanonicalizeSubTree(org.w3c.dom.Node rootNode, java.lang.String inclusiveNamespaces)` C14n a node tree.
`byte[]` | `engineCanonicalizeXPathNodeSet(org.w3c.dom.NodeList xpathNodeSet)` Method engineCanonicalizeXPathNodeSet
`byte[]` | `engineCanonicalizeXPathNodeSet(org.w3c.dom.NodeList xpathNodeSet, java.lang.String inclusiveNamespaces)` Method engineCanonicalizeXPathNodeSet
`abstract byte[]` | `engineCanonicalizeXPathNodeSet(java.util.Set<org.w3c.dom.Node> xpathNodeSet)` C14n a nodeset
`abstract byte[]` | `engineCanonicalizeXPathNodeSet(java.util.Set<org.w3c.dom.Node> xpathNodeSet, java.lang.String inclusiveNamespaces)` C14n a nodeset
`abstract boolean` | `engineGetIncludeComments()` Returns true if comments are included
`abstract java.lang.String` | `engineGetURI()` Returns the URI of this engine.
`boolean` | `isSecureValidation()`
`void` | `setSecureValidation(boolean secureValidation)`
`abstract void` | `setWriter(java.io.OutputStream os)` Sets the writer where the canonicalization ends.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### reset

    protected boolean reset

  Reset the writer after a c14n

### secureValidation

    protected boolean secureValidation

Constructor Detail

### CanonicalizerSpi

    public CanonicalizerSpi()

Method Detail

### engineCanonicalize

    public byte[] engineCanonicalize(byte[] inputBytes)
                              throws javax.xml.parsers.ParserConfigurationException,
                                     java.io.IOException,
                                     org.xml.sax.SAXException,
                                     CanonicalizationException

  Method canonicalize

  Parameters:
    `inputBytes` -
  Returns:
    the c14n bytes.
  Throws:
    `CanonicalizationException`
    `java.io.IOException`
    `javax.xml.parsers.ParserConfigurationException`
    `org.xml.sax.SAXException`

### engineCanonicalizeXPathNodeSet

    public byte[] engineCanonicalizeXPathNodeSet(org.w3c.dom.NodeList xpathNodeSet)
                                          throws CanonicalizationException

  Method engineCanonicalizeXPathNodeSet

  Parameters:
    `xpathNodeSet` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### engineCanonicalizeXPathNodeSet

    public byte[] engineCanonicalizeXPathNodeSet(org.w3c.dom.NodeList xpathNodeSet,
                                                 java.lang.String inclusiveNamespaces)
                                          throws CanonicalizationException

  Method engineCanonicalizeXPathNodeSet

  Parameters:
    `xpathNodeSet` -
    `inclusiveNamespaces` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### engineGetURI

    public abstract java.lang.String engineGetURI()

  Returns the URI of this engine.

  Returns:
    the URI

### engineGetIncludeComments

    public abstract boolean engineGetIncludeComments()

  Returns true if comments are included

  Returns:
    true if comments are included

### engineCanonicalizeXPathNodeSet

    public abstract byte[] engineCanonicalizeXPathNodeSet(java.util.Set<org.w3c.dom.Node> xpathNodeSet)
                                                   throws CanonicalizationException

  C14n a nodeset

  Parameters:
    `xpathNodeSet` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### engineCanonicalizeXPathNodeSet

    public abstract byte[] engineCanonicalizeXPathNodeSet(java.util.Set<org.w3c.dom.Node> xpathNodeSet,
                                                          java.lang.String inclusiveNamespaces)
                                                   throws CanonicalizationException

  C14n a nodeset

  Parameters:
    `xpathNodeSet` -
    `inclusiveNamespaces` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### engineCanonicalizeSubTree

    public abstract byte[] engineCanonicalizeSubTree(org.w3c.dom.Node rootNode)
                                              throws CanonicalizationException

  C14n a node tree.

  Parameters:
    `rootNode` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### engineCanonicalizeSubTree

    public abstract byte[] engineCanonicalizeSubTree(org.w3c.dom.Node rootNode,
                                                     java.lang.String inclusiveNamespaces)
                                              throws CanonicalizationException

  C14n a node tree.

  Parameters:
    `rootNode` -
    `inclusiveNamespaces` -
  Returns:
    the c14n bytes
  Throws:
    `CanonicalizationException`

### setWriter

    public abstract void setWriter(java.io.OutputStream os)

  Sets the writer where the canonicalization ends. ByteArrayOutputStream if none is set.

  Parameters:
    `os` -

### isSecureValidation

    public boolean isSecureValidation()

### setSecureValidation

    public void setSecureValidation(boolean secureValidation)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD